

%define module libkscreen

Summary:        Display configuration library
Name:           %module
Version: 		5.27.11
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{module}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl


%description
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%files
%_kf5_plugindir/kscreen
%_libexecdir/kf5/kscreen_backend_launcher
%_datadir/dbus-1/services/org.kde.kscreen.service
%{_bindir}/kscreen-doctor
%_datadir/qlogging-categories5/libkscreen.categories
/usr/share/locale
/usr/share/zsh/site-functions/_kscreen-doctor
#--------------------------------------------------------------------

%define kf5kscreen_major 5
%define libkf5kscreen %mklibname kf5kscreen %{kf5kscreen_major}

%package -n %libkf5kscreen
Summary:  Display configuration library
Group:    Graphical desktop/KDE5

%description -n %libkf5kscreen
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%files -n %libkf5kscreen
%_kf5_libdir/libKF5Screen.so.*
/usr/lib64/libKF5ScreenDpms.so.*
#--------------------------------------------------------------------

%define kf5kscreen_devel %mklibname kf5kscreen -d

%package -n %kf5kscreen_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkf5kscreen = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5kscreen_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5kscreen_devel
%_kf5_includedir/KScreen
%_libdir/pkgconfig/kscreen2.pc
%_libdir/qt5/mkspecs/modules/qt_KScreen.pri
%_kf5_includedir/kscreen_version.h
%_kf5_libdir/cmake/KF5Screen
%_kf5_libdir/libKF5Screen.so
/usr/lib64/libKF5ScreenDpms.so
#--------------------------------------------------------------------


%prep
%setup -q -n %module-%version
%autopatch -p1

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DSYSCONF_INSTALL_DIR="%_sysconfdir" -DBUILD_TESTING=OFF
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

rm -rf %buildroot/%{_prefix}/lib/systemd

#fucked up
cp %buildroot/usr/lib64/libKF5Screen.so.5.27.11 %buildroot/usr/lib64/libKF5Screen.so.5.27.0
cp %buildroot/usr/lib64/libKF5ScreenDpms.so.5.27.11 %buildroot/usr/lib64/libKF5ScreenDpms.so.5.27.0

%changelog
* Thu Mar 14 2024 tex - 5.27.11-1pclos2024
- new version

